clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
llvm::DOTGraphTraits< ModuleManager > Struct Template Reference
Inheritance diagram for llvm::DOTGraphTraits< ModuleManager >:
[legend]
Collaboration diagram for llvm::DOTGraphTraits< ModuleManager >:
[legend]

## Public Member Functions
| DOTGraphTraits (bool IsSimple=false)
std::string | getNodeLabel (ModuleFile *M, const ModuleManager &)

## Static Public Member Functions
static bool | renderGraphFromBottomUp ()

## Detailed Description

### template<>
struct llvm::DOTGraphTraits< ModuleManager >

Definition at line 494 of file ModuleManager.cpp.

## Constructor & Destructor Documentation

## ◆ DOTGraphTraits()

llvm::DOTGraphTraits< ModuleManager >::DOTGraphTraits | ( | bool | IsSimple = `false` | ) |
| inline explicit

Definition at line 495 of file ModuleManager.cpp.

## Member Function Documentation

## ◆ getNodeLabel()

std::string llvm::DOTGraphTraits< ModuleManager >::getNodeLabel | ( | ModuleFile * | M,
|  | const ModuleManager & |
| ) |  |
| inline

Definition at line 500 of file ModuleManager.cpp.

References clang::serialization::ModuleFile::ModuleName.

## ◆ renderGraphFromBottomUp()

static bool llvm::DOTGraphTraits< ModuleManager >::renderGraphFromBottomUp | ( |  | ) |
| inline static

Definition at line 498 of file ModuleManager.cpp.

The documentation for this struct was generated from the following file:

- lib/Serialization/ModuleManager.cpp